Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.form
Class PDUnknownField

    java.lang.Object
      org.pdfbox.pdmodel.interactive.form.PDField
          org.pdfbox.pdmodel.interactive.form.PDUnknownField

All Implemented Interfaces:
  COSObjectable

public class PDUnknownField
extends PDField

This class represents a form field with an unknown type.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary

Fields inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`FLAG_NO_EXPORT, FLAG_READ_ONLY, FLAG_REQUIRED`

Constructor Summary
`PDUnknownField(PDAcroForm theAcroForm, COSDictionary field)`

Method Summary
`String` | `getValue()` getValue gets the fields value to as a string.
`void` | `setValue(String value)` setValue sets the fields value to a given string.

Methods inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`findFieldType, getAcroForm, getActions, getCOSObject, getDictionary, getFfFlag, getFieldFlags, getFieldType, getFullyQualifiedName, getKids, getParent, getPartialName, getWidget, importFDF, isNoExport, isReadonly, isRequired, setAcroForm, setActions, setFfFlag, setFieldFlags, setKids, setNoExport, setParent, setPartialName, setReadonly, setRequired, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDUnknownField

    public PDUnknownField(PDAcroForm theAcroForm,
                          COSDictionary field)

Parameters:
  `theAcroForm` - The acroForm for this field.
  `field` - The field's dictionary.
See Also:
  `PDField.PDField(PDAcroForm, COSDictionary)`

Method Detail

### setValue

    public void setValue(String value)
                  throws IOException

  Description copied from class: `PDField`
  setValue sets the fields value to a given string.

  Specified by:
    `setValue` in class `PDField`
  Parameters:
    `value` - the string value
  Throws:
    `IOException` - If there is an error creating the appearance stream.
  See Also:
    `PDField.setValue(String)`

### getValue

    public String getValue()
                    throws IOException

  Description copied from class: `PDField`
  getValue gets the fields value to as a string.

  Specified by:
    `getValue` in class `PDField`
  Returns:
    The string value of this field.
  Throws:
    `IOException` - If there is an error getting the value.
  See Also:
    `PDField.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD